Bug 626865 - Laptop freezes when lid is closed when connected to external monitor
Laptop freezes when lid is closed when connected to external monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 11:18 EDT by soorya
Modified: 2011-06-28 10:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:04:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description soorya 2010-08-24 11:18:42 EDT
Description of problem: The laptop is connected to a docking station. I configure the display settings such that I turn off the laptop screen and just have the external monitor [connected to the docking station] active. When I close the lid, both the displays are off and the machine freezes. Even if I remove the laptop from the docking station the machine is still frozen. This however does not happen when the laptop is not connected to the docking station. This is seen in Fedora 13


Version-Release number of selected component (if applicable): 


How reproducible: Always


Steps to Reproduce:
1. Attach laptop to docking station. configure the display settings such that only external monitor display is active and laptop monitor is off
2. Close the lid of the laptop and open the laptop. The displays go blank
3. The laptop hangs
  
Actual results: Laptop hangs


Expected results: The external display should be active


Additional info:
Comment 1 soorya 2010-08-24 11:20:26 EDT
This is not seen in other OSes like Mandriva 2010.1 and opensuse
Comment 2 soorya 2010-08-24 11:21:12 EDT
The laptop is Dell latitude E6400
Comment 3 Elad Alfassa 2011-05-01 01:37:14 EDT
Which graphic card does your laptop have? attach relevant lspci output.
Comment 4 Elad Alfassa 2011-05-03 01:13:36 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

(This information will help much more than lspci output)

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2011-06-01 06:35:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-28 10:04:04 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.